Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0054466
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2024-01-25 08:492024-02-16 07:22
ReporternoemierousselView Statuspublic 
Assigned ToRajesh_18 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0054466: [PROMO] Coupons OTF Generation Rules, validity dates can be configured wrongly without error message

DescriptionWhen configuring the validity date for an OTF Coupon, it is possible to configure the Valid from/to in Days or Month.
Steps To ReproduceGo to the backoffice and create an OTF coupon with :
-Organization : *
-Applicant : Vallblanca
-Search key : 12345
-Promotion : a promotion with Uses coupon code=Y and Is OTF=Y
-Description : test
-Starting date : today
-Valid from : Days - 5
-Valid to : Days - 3

--> See that you can save with valid to < valid from

Same behavior with Valid from/to in Month.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0160766)
hgbot (developer)
2024-02-15 07:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/44 [^]
(0160815)
hgbot (developer)
2024-02-16 07:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf [^]
Changeset: c3ae90972e9fb3820e8fbfd880cabdaff0d8b174
Author: Rajesh Senthilkumar <rajesh@qualiantech.com>
Date: 15-02-2024 11:56:19
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/commit/c3ae90972e9fb3820e8fbfd880cabdaff0d8b174 [^]

Fixed ISSUE-54466: Added condition to check coupon validity From and To

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/discounts/coupons/otf/event/CouponrulesEventHandler.java
---
(0160816)
hgbot (developer)
2024-02-16 07:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/44 [^]

- Issue History
Date Modified Username Field Change
2024-01-25 08:49 noemieroussel New Issue
2024-01-25 08:49 noemieroussel Assigned To => Retail
2024-01-25 08:49 noemieroussel Triggers an Emergency Pack => No
2024-02-09 07:49 Rajesh_18 Assigned To Retail => Rajesh_18
2024-02-09 07:49 Rajesh_18 Status new => scheduled
2024-02-15 07:26 hgbot Note Added: 0160766
2024-02-16 07:22 hgbot Resolution open => fixed
2024-02-16 07:22 hgbot Status scheduled => closed
2024-02-16 07:22 hgbot Note Added: 0160815
2024-02-16 07:22 hgbot Note Added: 0160816


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker